Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvChannelSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.tv.common.bean.TvChannelSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<TvChannelSpec>`, `TreeNode<TvChannelSpec>`

public class TvChannelSpec extends Entity implements Node<TvChannelSpec>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvChannelSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TvChannelSpec>`
  `getChildren()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getIdentifier()`
  `int`
  `getParentId()`
  `int`
  `getServiceSpecId()`
  `void`
  `setChildren(List<TvChannelSpec> children)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setServiceSpecId(int serviceSpecId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TvChannelSpec

    public TvChannelSpec()

- ## Method Details

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<TvChannelSpec>`

  - ### setParentId

    public void setParentId(int parentId)

  - ### getChildren

    public List<TvChannelSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<TvChannelSpec>`

  - ### setChildren

    public void setChildren(List<TvChannelSpec> children)
    Specified by:
      `setChildren` in interface `Node<TvChannelSpec>`

  - ### getServiceSpecId

    public int getServiceSpecId()

  - ### setServiceSpecId

    public void setServiceSpecId(int serviceSpecId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)